Bug 478748 - Fails to install python-twyt
Summary: Fails to install python-twyt
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-04 15:41 UTC by Adam Jackson
Modified: 2014-01-21 23:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 00:04:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of 'yum install python-twyt' (51.38 KB, text/plain)
2009-01-04 15:41 UTC, Adam Jackson
no flags Details
/etc/yum.conf (791 bytes, text/plain)
2009-01-04 16:25 UTC, Adam Jackson
no flags Details
output of 'yum -d9 install python-twyt' (328.87 KB, text/plain)
2009-01-04 19:28 UTC, Adam Jackson
no flags Details

Description Adam Jackson 2009-01-04 15:41:26 UTC
Created attachment 328135 [details]
output of 'yum install python-twyt'

Description of problem:

rawhide-ish machine.  Run 'yum install python-twyt' from the command line, get whined about font packages conflicting.

Filing this as a yum bug on due to the following irc exchange:

< nim-nim> ajax: skvidal asked me to add the explicit conflict to help 
           yum detect bad upgrades
< ajax> the "bad" upgrade here being me trying to install some python 
        package.
< nim-nim> ajax: yum is supposed to detect all this and upgrade 
           transparently
< nim-nim> ajax: if you've find a case where yum is confused, open a yum
           bug

Version-Release number of selected component (if applicable):

yum-3.2.20-3.fc10.noarch

Comment 1 Nicolas Mailhot 2009-01-04 15:49:41 UTC
See also http://fpaste.org/paste/694

So the basic update path just works, and something else must be confusing yum or pinning the old conflicting packages on ajax' system

Comment 2 Adam Jackson 2009-01-04 16:07:01 UTC
Hilariously, I can't upgrade yum (at least not with the rawhide repos enabled) to see if this is fixed already, for much the same reason: python abi change -> inkscape -> poppler -> openoffice -> fonts -> doom.

I installed yum-3.2.20-5.fc10 from koji by hand, but it produces the same failure when trying to install rawhide python packages.

Comment 3 Nicolas Mailhot 2009-01-04 16:09:54 UTC
dejavu-fonts-compat.noarch should have cleaned up the old dejavu-fonts package and is in the transaction set, so yum is doing something strange

Comment 4 seth vidal 2009-01-04 16:19:59 UTC
If a pkg contains files which conflict with another pkg then you have to have a Conflicts: line in the spec file - this is listed in Fedora's Packaging Guidelines. It is nicer b/c it means yum can tell if there is a conflict without having ALL of the file metadata (including checksums).

There appears to be a conflict that we cannot upgrade out of.

Ajax: have you made any changes to your yum.conf?

Comment 5 Adam Jackson 2009-01-04 16:25:57 UTC
Created attachment 328141 [details]
/etc/yum.conf

Not that I'm aware of.  yum.conf from the affected machine is attached.

Comment 6 Adam Jackson 2009-01-04 16:28:26 UTC
Well, okay, not in a way that should affect this.  installonly_limit is clearly my own doing.

Comment 7 James Antill 2009-01-04 19:08:15 UTC
 I'm pretty sure this is obsoletes related, not conflict. From a list obsoletes I see:

dejavu-fonts-compat.noarch            2.28-1.fc11                      rawhide  
    dejavu-fonts-experimental.noarch  2.24-3.fc9                       installed
dejavu-fonts-compat.noarch            2.28-1.fc11                      rawhide  
    dejavu-fonts.noarch               2.24-3.fc9                       installed

...my guess is that the 'yum install python-twyt' path is only processing one (or maybe zero) of the above obsoletes. We might have fixed this already in 3.2.20-8 ... but can you run the above install command with "-d 9", as that'll hopefully tell us what obsoletes that single update line is doing.

Comment 8 Adam Jackson 2009-01-04 19:28:39 UTC
Created attachment 328150 [details]
output of 'yum -d9 install python-twyt'

Comment 9 James Antill 2009-01-05 00:04:14 UTC
 This should now be fixed in upstream commit: f203d754c952c4f117ed8ddbb09dda9ba237dacd

 This'll be in 3.2.21 which should be released "soon". Or you can just "yum update deja\*" for the time being. Or you can try "Running an upstream yum-3.2.* locally" instructions from:

http://yum.baseurl.org/

...to get around it.

Comment 10 James Antill 2009-01-05 00:05:42 UTC
 Or apply the fix by hand, if you're really feeling lucky:)

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=f203d754c952c4f117ed8ddbb09dda9ba237dacd

Comment 11 Adam Jackson 2009-01-05 01:59:56 UTC
I'm a lucky kind of guy.  That fixes it, thanks!

Comment 12 Fedora Update System 2009-01-12 19:20:00 UTC
yum-3.2.21-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc10

Comment 13 Fedora Update System 2009-01-12 19:27:59 UTC
yum-3.2.21-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc9

Comment 14 Fedora Update System 2009-02-05 02:18:20 UTC
yum-3.2.21-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-02-05 02:25:38 UTC
yum-3.2.21-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.